Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.resource
Enum ImageType

    java.lang.Object
      java.lang.Enum<ImageType>
          org.richfaces.resource.ImageType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageType>

    public enum ImageType

extends java.lang.Enum<ImageType>

Enum Constant Summary
`GIF`
`JPEG`
`PNG`
`PNG8`

Field Summary
`protected static java.awt.image.IndexColorModel` | `SAFE_WEB_COLORS_MODEL` Default web safe colors color model

Method Summary
`abstract java.awt.image.BufferedImage` | `createImage(int width, int height)`
`java.lang.String` | `getFormatName()`
`java.lang.String` | `getMimeType()`
`static ImageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GIF

    public static final ImageType GIF

### PNG

    public static final ImageType PNG

### PNG8

    public static final ImageType PNG8

### JPEG

    public static final ImageType JPEG

Field Detail

### SAFE_WEB_COLORS_MODEL

    protected static final java.awt.image.IndexColorModel SAFE_WEB_COLORS_MODEL

  Default web safe colors color model

Method Detail

### values

    public static ImageType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageType c : ImageType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### createImage

    public abstract java.awt.image.BufferedImage createImage(int width,
                                                             int height)

### getFormatName

    public java.lang.String getFormatName()

### getMimeType

    public java.lang.String getMimeType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.